package com.cy.guoyan.admin.module.ai.service.aiservice;

import com.alibaba.fastjson.JSONObject;
import com.cy.guoyan.admin.module.ai.controller.admin.chatdocument.vo.ChatDocumentSaveReqVO;
import com.cy.guoyan.admin.module.ai.controller.admin.chatknowledgedataset.vo.ChatKnowledgeDatasetSaveReqVO;
import com.cy.guoyan.admin.module.ai.controller.admin.chatmessage.vo.ChatMessageRespVO;
import com.cy.guoyan.admin.module.ai.controller.admin.chatmessage.vo.ChatMessageSendReqVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;

public interface AiService {
    JSONObject createDataset(ChatKnowledgeDatasetSaveReqVO req) throws IOException;

    void updateDataset(ChatKnowledgeDatasetSaveReqVO req) throws IOException;

    String deleteDataset(String id) throws IOException;

    JSONObject createDocumentByFile(MultipartFile file, ChatDocumentSaveReqVO createReqVO, File tmpFile)throws IOException;

    JSONObject getDocumentIndexingStatus(String datasetId, String batch) throws IOException;

    void deleteDocument(String datasetId, String documentId) throws IOException;

    ChatMessageRespVO sendChatMessageBlock(ChatMessageSendReqVO sendReqVO) throws IOException;

}
